<?php require_once( 'cms/cms.php' ); ?>

<cms:template title='Contact Form' order='5' clonable='1'>

    <cms:editable name='name' required='1' type='text' />
    <cms:editable name='email' required='1' type='text' />
    <cms:editable name='phone' required='1' type='text' />
    <cms:editable name='service_type' required='1' type='dropdown'
                  opt_values=' Please choose=- | Repairs | IT Support | Retainer Packages | Other'
                  />
    <cms:editable name='message' required='1' type='textarea' />
    <cms:editable name='agree' label='Check to agree to privacy policy' opt_values='I agree' required='1' type='checkbox' />
    <cms:editable name='consent_timestamp' required='0' type='text' />

</cms:template>

<?php 
$title = "Contact Hybrid IT";

include ( 'includes/contactheader.php' );
?>

<!-- content begin -->
<div class="no-bottom no-top" id="content">
    <div id="top"></div>

    <section id="subheader" class="relative jarallax text-light">
        <img src="<cms:get_custom_field 'page_header_breadcrumb_image' masterpage='globalsthree.php' />" class="jarallax-img" alt="">
        <div class="container relative z-2">
            <div class="row justify-content-center">
                <div class="col-lg-6 text-center">
                    <div class="subtitle s2 text-light wow fadeInUp mb-2">Contact</div>
                    <h1>Contact Us</h1>
                </div>
            </div>
        </div>
        <div class="crumb-wrapper">
            <ul class="crumb">
                <li><a href="index.php">Home</a></li>
                <li class="active">Contact Us</li>
            </ul>
        </div>
        <div class="sw-overlay"></div>
    </section>
    <!-- section close -->

    <section class="relative no-top no-bottom overflow-hidden section-dark bg-black text-light">
        <div class="container-fluid position-relative half-fluid">
            <div class="container">
                <div class="row">
                    <div class="spacer-double"></div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <h2><cms:get_custom_field 'contact_info_main_heading' masterpage='globalsthree.php' /></h2>
                        <cms:get_custom_field 'contact_text' masterpage='globalsthree.php' />
                        <div class="mb-4">
                            <i class="icofont-phone-circle"></i> <cms:get_custom_field 'phone_number' masterpage='globalsthree.php' />
                            <br><br>
                            <i class="icofont-envelope"></i> <cms:get_custom_field 'email_address' masterpage='globalsthree.php' />
                            <br><br>
                            <cms:set opening_hours="<cms:get_custom_field 'opening_hours' masterpage='globalsthree.php' />" />
                            <cms:if opening_hours >
                                <i class="icofont-clock-time"></i> <cms:get_custom_field 'opening_hours' masterpage='globalsthree.php' />
                                <br><br>
                            </cms:if>
                            <i class="icofont-location-pin"></i> <cms:get_custom_field 'address' masterpage='globalsthree.php' />
                            <br><br>
                            <i class="icofont-facebook"></i> <a href="<cms:get_custom_field 'facebook_link' masterpage='globalsthree.php' />" target="_blank" class="text-light"><cms:get_custom_field 'facebook_link' masterpage='globalsthree.php' /></a>
                            <br><br>
                            <i class="fa-brands fa-x-twitter"></i> <a href="<cms:get_custom_field 'twitter_link' masterpage='globalsthree.php' />" target="_blank" class="text-light"><cms:get_custom_field 'twitter_link' masterpage='globalsthree.php' /></a>
                            <br><br>
                            <i class="fa-brands fa-google-plus-g"></i> <a href="<cms:get_custom_field 'google_link' masterpage='globalsthree.php' />" target="_blank" class="text-light"><cms:get_custom_field 'google_link' masterpage='globalsthree.php' /></a>
                        </div>
                    </div>
                    <!-- Text -->
                    <div class="col-lg-5">
                        <h1 class="wow fadeInUp" data-wow-delay=".2s"><cms:get_custom_field 'contact_main_heading' masterpage='globalsthree.php' /></h1>

                        <cms:set submit_success="<cms:get_flash 'submit_success' />" />
                        <cms:if submit_success >
                            <div class="alert alert-success">
                                <h4><strong>Success:</strong> Your form has been submitted.</h4>
                            </div>
                        </cms:if>

                        <cms:form
    masterpage=k_template_name
    mode='create'
    enctype='multipart/form-data'
    method='post'
    anchor='0'
    >
                            
                            <cms:if k_success >
                            
                                <cms:db_persist_form
    _auto_title='1'
    _invalidate_cache='0'
/>

                    <cms:set_flash name='submit_success' value='1' />
                    <cms:redirect k_page_link /> 

                            </cms:if>

                            <div class="row g-4">
                                <div class="col-lg-12">
                                    <div style="display:none">
                                    <cms:input id="consent_timestamp" name="consent_timestamp" class="form-control" type="bound"  />
                                    </div>
                                    <div class="field-set">
                                        <cms:input id="name" name="name" class="form-control" placeholder="Your Name" type="bound" />
                                    </div>
                                    <div class="field-set">
                                        <cms:input id="email" name="email" class="form-control" placeholder="Your Email" type="bound" />
                                    </div>
                                    <div class="field-set">
                                        <cms:input id="phone" name="phone" class="form-control" placeholder="Your Phone" type="bound" />
                                    </div>
                                    <div class="field-set">
                                        <cms:input id="service_type" name="service_type" type="bound" class="form-control text-dark" placeholder="Please Choose" />
                                    </div>
                                    <div class="field-set">
                                        <cms:input id="message" name="message" class="form-control h-100px" placeholder="Your Enquiry" type="bound" />
                                    </div>
                                    <div class="field-set">
                                        <label for="agree" class="text-light">
                                        <cms:input id="agree" name="agree" type="bound" />I have read and agree to the <a href="privacy-policy.php" target="_blank">Privacy Policy</a>
                                        </label>
                                    </div>
                                    <div class="field-set">
                            
                                        <cms:send_mail from=k_email_from to=k_email_to reply_to=frm_email subject='New Website Enquiry'>
							The following is an contact form enquiry sent by a visitor to your contact page:
							name: <cms:show frm_name/>
                            <br>
                            email: <cms:show frm_email/>
                            <br>
                            phone: <cms:show frm_phone/>
                            <br>
                            Service Type: <cms:show frm_service_type/>
                            <br>
                            message: <cms:show frm_message/>
                            <br>
                            Agree to privacy policy: <cms:show frm_agree/>
						</cms:send_mail>
                                        
                                        <cms:send_mail from='no-reply@beechwoodsolutions.co.uk'
    to="<cms:show frm_email />"
    subject='Privacy Policy Consent Confirmation'>
    Hello <cms:show frm_name />,

    You recently submitted an inquiry via our website and confirmed that you have read and agreed to our Privacy Policy.

    Submission Details:
    - Name: <cms:show frm_name />
    - Email: <cms:show frm_email />
    - Date & Time: <cms:date format='d-m-Y H:i:s' />

    If you did not submit this request, please contact us.

    Regards,  
    Hybrid IT Services
</cms:send_mail>
                                        
                                    </div>
                                </div>
                            </div>
                            <div id='submit' class="mt-3">
                                <cms:if "<cms:not submit_success />" >
                                    <input type='submit' id='send_message' value='Send Message' class="btn-main">
                                </cms:if>                                
                            </div>
                        </cms:form>
                        <div class="spacer-double"></div>
                        <div class="spacer-double sm-hide"></div>
                        <div class="spacer-double sm-hide"></div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="section-dark bg-dark text-light no-top no-bottom overflow-hidden">
        <div class="container-fluid position-relative half-fluid">
            <div class="container">
                <div class="row">
                    <!-- Text -->
                    <div class="col-lg-12">
                        <div class="me-lg-3">
                            <div class="spacer-double"></div>
                            <div class="spacer-double sm-hide"></div>
                            <div class="spacer-single sm-hide"></div>
                            <h1 class="wow fadeInUp" data-wow-delay=".2s"><cms:show why_main_heading/></h1>
                            <ul class="ul-style-2 fw-600 text-white mb-4 wow fadeInUp" data-wow-delay=".6s">
                                <cms:show_repeatable 'whypoints' >
                                    <li><cms:show whypoint/></li>
                                </cms:show_repeatable>
                            </ul>
                            <div class="spacer-double"></div>
                            <div class="spacer-single sm-hide"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

</div>
<!-- content close -->

<?php include( 'includes/footer.php' ); ?>
<?php COUCH::invoke(); ?>